# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.2.3](https://github.com/skipjack/foundation-graph/compare/v0.2.2...v0.2.3) (2020-05-24)


### Features

* **graph:** add `mergeable` support for retaining node position ([bcbc444](https://github.com/skipjack/foundation-graph/commit/bcbc444c0540106d057ed144a5b0aaea454e4d9d))
* **links:** add `onMouseOut`, `onMouseOver`, and `onMouseMove` ([56bbb96](https://github.com/skipjack/foundation-graph/commit/56bbb96e0a1a9343c582844c786f8794781fea18))


### Bug Fixes

* **zoomable:** extend default `scaleExtent` ([1c39834](https://github.com/skipjack/foundation-graph/commit/1c39834a829ff55ff78dba0de891427dca69784a))
* fix bundling errors ([73aacdb](https://github.com/skipjack/foundation-graph/commit/73aacdbab20e209987d4d02100589c36dfbb450b))
* pass additional `FoundationGraph` props to `Graph` ([630d9ea](https://github.com/skipjack/foundation-graph/commit/630d9eaf541f9d7e4f7708f41c7ec968cc4d7270))

### [0.2.2](https://github.com/skipjack/foundation-graph/compare/v0.2.1...v0.2.2) (2020-05-17)


### Features

* change default positioning and allow style overrides in `FoundationGraph` ([04b8ac8](https://github.com/skipjack/foundation-graph/commit/04b8ac8dfddf553bb9b91133a975a80a2a290816))


### Bug Fixes

* **graph:** revise forces to boost performance ([bd3874d](https://github.com/skipjack/foundation-graph/commit/bd3874d28b89c728aca27e8d89bc7a4d8e9b0d1a)), closes [#8](https://github.com/skipjack/foundation-graph/issues/8)
* **graph:** use `id` field for links/nodes if present ([6a37418](https://github.com/skipjack/foundation-graph/commit/6a374183a961af44d8e996c7803e02d78ec5614b))
* **utils:** patch cross-schema comparison bug in `generateLinks` ([15f31d8](https://github.com/skipjack/foundation-graph/commit/15f31d8205c9bc25d41026d048788dc3a0810f8c))
* **zoomable:** keep graph centered when `scale` is changed ([af02536](https://github.com/skipjack/foundation-graph/commit/af02536d43cb06bda88d27803339d25e25c00a38))

### [0.2.1](https://github.com/skipjack/foundation-graph/compare/v0.2.0...v0.2.1) (2020-04-13)


### Bug Fixes

* fix "Fragment not defined" error ([380de75](https://github.com/skipjack/foundation-graph/commit/380de7514ee206dbaf583a686cbbfc98443fccf0))

## [0.2.0](https://github.com/skipjack/foundation-graph/compare/v0.1.2...v0.2.0) (2020-04-13)


### Bug Fixes

* add editorconfig and format all files with spaces ([27ec868](https://github.com/skipjack/foundation-graph/commit/27ec86849cc5fea6fcddd0faab8e6a4c92fc2289))

### [0.1.2](https://github.com/skipjack/foundation-graph/compare/v0.1.1...v0.1.2) (2020-04-06)


### Bug Fixes

* fix bundling bug related to `export * from` ([e1dc1cc](https://github.com/skipjack/foundation-graph/commit/e1dc1cceb1cc924f32560cf9996e9704221fc0bc))

### [0.1.1](https://github.com/skipjack/foundation-graph/compare/v0.1.0...v0.1.1) (2020-04-05)


### Bug Fixes

* fix bundling issues ([d7b446f](https://github.com/skipjack/foundation-graph/commit/d7b446fcd58628c7d9ecbed9a323c4210c9b9907))

## 0.1.0 (2020-04-05)


### Features

* add default graph wrapper to work with foundation ([fb9b1a6](https://github.com/skipjack/foundation-graph/commit/fb9b1a62f8bf02b4624833f126d7fac768c639b2))
* **draggable:** add support for `onDragStart` and `onDragEnd` ([1ca8797](https://github.com/skipjack/foundation-graph/commit/1ca8797bbe2792ac898f8948d76c68a3288979e0))
* **graph:** abstract default forces into a prop (`forces`) ([b0e1d2f](https://github.com/skipjack/foundation-graph/commit/b0e1d2f1a189637bbef47c9392dfa3292a3fa6e0))
* **links:** allow customization of `attributes` and `style` ([ae02822](https://github.com/skipjack/foundation-graph/commit/ae0282238c8e6569aa40c74839d3e966155aa5b4))
* **nodes:** add a more opinionated wrapper for nodes ([0a1d890](https://github.com/skipjack/foundation-graph/commit/0a1d890582a3cd69618cc78a84b6a53eb08e412a))
* **nodes:** add support for custom rendering via `onRender` ([4707d70](https://github.com/skipjack/foundation-graph/commit/4707d701837406b77d5804baf0c014d60c8be0c7))
* **nodes:** allow customization of `attributes` and `style` ([6f64973](https://github.com/skipjack/foundation-graph/commit/6f64973ee03c562a09297e48181bf7cb4dbd6970))
* **utils:** support `options.ignored` and exclude `null` and `undefined` ([fcee239](https://github.com/skipjack/foundation-graph/commit/fcee239d88b8ad7b63cb7284dd69878dfb17fefa))
* **zoomable:** add support for initial `scale` and fix re-render ([5f0f00e](https://github.com/skipjack/foundation-graph/commit/5f0f00ec10d69124a39ad40a4783e238a7e63e56))
* add `generateLinks` utility ([0dabb5a](https://github.com/skipjack/foundation-graph/commit/0dabb5ab9908ac5d423f4dcdcb346a0b5b0e5c5e)), closes [#7](https://github.com/skipjack/foundation-graph/issues/7)
* add `Tooltip` component ([3090bce](https://github.com/skipjack/foundation-graph/commit/3090bceb1a1fb0cf38a36ddef90c624ba474384e))
* add initial force graph components ([10bf419](https://github.com/skipjack/foundation-graph/commit/10bf4199f87b3e48a6199579778fd8cae6274396))
* add new `Zoomable` component ([e21f638](https://github.com/skipjack/foundation-graph/commit/e21f638d0a8a9db87d461eb2b46b0fb13e4fd99e))
* add support for node selection ([7319041](https://github.com/skipjack/foundation-graph/commit/7319041c23cc926c595be41bedf192d92c6fb5d1))


### Bug Fixes

* expose all public apis through the library ([88f1249](https://github.com/skipjack/foundation-graph/commit/88f124985806cc64c8a0b6493c32477b73019aa2))
* take svg location into account to fix positioning ([30698ad](https://github.com/skipjack/foundation-graph/commit/30698ad7b8e93ed7f70021139a3ab67178e50872))
