import React from 'react'
import PropTypes from 'prop-types'


const DefaultTooltip = ({
    node,
    position,
    definitions
}) => {
    const definition = definitions.find(obj => obj.type === node.type) || {}
    const Card = definition.card

    return !Card ? null : (
        <Card
            resource={node}
            width={243}
            height={160}
            style={{
                position: 'absolute',
                marginLeft: -121.5,
                marginTop: -180,
                paddingTop: 10,
                top: position.y,
                left: position.x,
                boxShadow: '0 0 25px #dedede',
                background: 'white'
            }}
        />
    )
}

DefaultTooltip.propTypes = {
    node: PropTypes.object,
    position: PropTypes.object,
    definitions: PropTypes.array
}

export default DefaultTooltip