import React from 'react'
import { render } from 'react-dom'
import { Base, Title, Subtitle } from '@foundation/core'
import { Card, CardContent } from '@foundation/cards'
import FoundationGraph from './components/default.jsx'
import data from './utils/data-large.json'

const ExampleCard = ({ resource, ...props }) => (
    <Card {...props}>
        <CardContent>
            <Title style={{ textTransform: 'capitalize' }}>
                {resource.type}
            </Title>
            <Subtitle>Identifier: {resource.id}</Subtitle>
        </CardContent>
    </Card>
)

render(
    <Base
        style={{ fontFamily: 'Lato, Arial, sans-serif' }}
        theme={{
            neutral: [ '#FFFFFF', '#F6F6F6', '#D8D8D8', '#9B9B9B', '#777777', '#333333' ],
            primary: [ '#5AC8FA', '#4A90E2' ]
        }}
    >
        <FoundationGraph
            results={data.nodes}
            links={data.links}
            definitions={[
                {
                    type: 'people',
                    card: ExampleCard
                },
                {
                    type: 'blocks',
                    card: ExampleCard
                }
            ]}
        />
    </Base>,
    document.getElementById('root')
)